%define upstream_name    B-COW
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    B::COW additional B helpers to check COW status
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
B::COW provides some naive additional B helpers to check the COW status of
one SvPV.

COW or Copy On Write introduction
    A COWed SvPV is sharing its string (the PV) with other SvPVs. It's a
    (kind of) Read Only C string, that would be Copied On Write (COW).

    More than one SV can share the same PV, but when one PV need to alter
    it, it would perform a copy of it, decrease the COWREFCNT counter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Nov 26 2023 tv <tv> 0.7.0-2.mga10
+ Revision: 2009906
- Rebuild for perl-5.38

* Thu Oct 27 2022 tv <tv> 0.7.0-1.mga9
+ Revision: 1899619
- update to 0.007

* Thu Oct 20 2022 tv <tv> 0.6.0-1.mga9
+ Revision: 1897878
- update to 0.006

* Sat Oct 15 2022 tv <tv> 0.5.0-1.mga9
+ Revision: 1896893
- update to 0.005

* Mon Jun 06 2022 umeabot <umeabot> 0.4.0-5.mga9
+ Revision: 1861553
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.4.0-4.mga9
+ Revision: 1795512
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1726398
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1594300
- Rebuild for perl 5.32

* Fri Apr 24 2020 tv <tv> 0.4.0-1.mga8
+ Revision: 1571613
- update to 0.004

* Tue Apr 21 2020 tv <tv> 0.3.0-1.mga8
+ Revision: 1570172
- update to 0.003

* Thu Feb 20 2020 umeabot <umeabot> 0.2.0-2.mga8
+ Revision: 1546058
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 tv <tv> 0.2.0-1.mga8
+ Revision: 1485843
- update to 0.002

* Mon Aug 26 2019 tv <tv> 0.1.0-2.mga8
+ Revision: 1432741
- rebuild with perl-5.30

* Wed Aug 07 2019 tv <tv> 0.1.0-1.mga8
+ Revision: 1427944
- imported package perl-B-COW

